function areNumbersEqual(num1,num2,percision){
    return Math.abs(num1 - num2) < percision;
}

func=(...args) => {
  const percision=0.1E-2; 
  args.sort();
  let out = "";
  let lastElem = null;
  for (let i = 0; i < args.length-1; i++){
    if (areNumbersEqual(args[i],args[i+1],percision) && (!areNumbersEqual(args[i],lastElem,percision) || lastElem === null)){  
      lastElem = args[i];
      out += lastElem+" ";
    } 
  }
  return out;
}

console.log(func(-0.0009111,0,-0.0009111,-0.009111,-0,1.1,1.101,2.0001,2))
